低危 在 vvv+模式下使用no_log进行信息泄露

CVE编号

CVE-2018-16876

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-01-04 04:29:00
漏洞描述
版本2.5.14,2.6.11,2.7.5之前的版本容易受到vvv +模式中信息泄露漏洞的影响,其中no_log可导致敏感数据泄漏。<br>
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/ansible/ansible/pull/49569/commits/4c6d714aefb05366cb329e139214c89ebb364899
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ansible * From
(including)
2.5.0
Up to
(excluding)
2.5.14
运行在以下环境
应用 redhat ansible * From
(including)
2.6.0
Up to
(excluding)
2.6.11
运行在以下环境
应用 redhat ansible * From
(including)
2.7.0
Up to
(excluding)
2.7.5
2
运行在以下环境
应用 redhat ansible_engine 2.0 -
运行在以下环境
应用 redhat ansible_engine 2.5 -
运行在以下环境
应用 redhat ansible_engine 2.6 -
运行在以下环境
应用 redhat ansible_engine 2.7 -
运行在以下环境
应用 redhat openstack 14.0 -
3
运行在以下环境
应用 suse package_hub - -
4
运行在以下环境
系统 opensuse_Leap_42.3 ansible * Up to
(excluding)
2.8.1-12.1
5
运行在以下环境
系统 opensuse_Leap_15.1 ansible * Up to
(excluding)
2.8.1-12.1
6
运行在以下环境
系统 opensuse_Leap_15.0 ansible * Up to
(excluding)
2.8.1-12.1
7
运行在以下环境
系统 debian_9 ansible * Up to
(excluding)
2.2.1.0-2+deb9u1
8
运行在以下环境
系统 alpine_3.8 ansible * Up to
(excluding)
2.5.14-r0
9
运行在以下环境
系统 alpine_3.11 ansible * Up to
(excluding)
2.7.9-r0
10
运行在以下环境
系统 alpine_3.12 ansible * Up to
(excluding)
2.7.9-r0
11
运行在以下环境
系统 alpine_3.10 ansible * Up to
(excluding)
2.7.9-r0
12
运行在以下环境
系统 alpine_3.9 ansible * Up to
(excluding)
2.7.5-r0
13
运行在以下环境
系统 alpine_edge ansible * Up to
(excluding)
2.7.9-r0
14
运行在以下环境
系统 alpine_3.13 ansible * Up to
(excluding)
2.7.9-r0
15
运行在以下环境
系统 fedora_29 ansible * Up to
(excluding)
2.7.5-1.fc29
16
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.7.5-1.el7
17
运行在以下环境
系统 fedora_28 ansible * Up to
(excluding)
2.7.5-1.fc28
阿里云评分
2.4
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-200 信息暴露
阿里云安全产品覆盖情况